* { direction: rtl; }

#column-left{ float:right;position:relative;}
#column-right{ float:left; }
.box .box-heading{text-align:right;}
.ie7 #column-left .box .box-content,.ie7 #column-right .box .box-content{display:inline-block;}

#column-left + #content {    margin-left: 0;  margin-right: 245px;}
#column-right + #content {    margin-right: 0;  margin-left: 245px;}
#column-left + #column-right + #content{margin-right: 212px;margin-left: 212px;}

 #header .header-left  { float:right;  }
#header .header-right  { float:left; }
#header #cart{ right:auto;  left:0;   }
#header #cart .heading span  ,#header #cart.active .heading span
{ background-position: left 8px; padding-left:15px; padding-right:0px;display:inline-block;   }  
 #header .links a, #header #welcome a + a{ background-position:right center; }
 #header .links a, #header #welcome a{ padding:0 7px 0 0;  }
  #header #welcome a{ display:inline-block; }
 
 #currency , #language{   float:right;}
 #currency{margin:12px 0 0 0;}
 .ie7  #currency , .ie7  #language{  position:relative; z-index:9999 !important; }
 .ie7 .language_div,.ie7 .currency_div{ right:0;top:32px; }
 .ie7 .breadcrumb ul li{ display:inline; }
 
  .breadcrumb a{  display: inline-block; }

 
 /***********    FLOAT:LEFT       **********/
#header #cart .heading , #header .links , #header #welcome , .treeview-list .hitarea , #header #cart .content  , .pagination .links , .success .close, .warning .close, .attention .close, .information .close ,  .cart-right-area , .cart-total table , .checkout-content .right , .buttons .right  , .product-filter .sort , .sitemap-info .right , .return-list .return-status , .product-list .price, .checkout-heading a  {float:left;}

 /***********    FLOAT:RIGHT      **********/
 .main-menu > ul > li  ,  #header #search , .category-list ul li, .product-list .left , .product-list .wishlist , .pagination .results , .product-info .review .share  ,.review-list .author , .review-list .date , .review-list .rating , .cart-left-area , .buttons .left , .product-filter .display , .contact-info .left , .sitemap-info .left , .manufacturer-list ul , .return-list .return-content div  ,#content .aboutus .image1 , #content .aboutus .image2 , #content .aboutus .image3 , #content .aboutus .image4, .related-products a.button{float:right;}

/***********    TEXT-ALIGN:RIGHT      **********/
#header, .content-inner, .footer-inner , #content .product-list .product-block-inner ,  .attribute thead tr td:first-child , .cart-buttons .center , table.list .left , .compare-info thead td, .compare-info thead tr td:first-child , span.customSelect , .currency_div a, .language_div a,.responsive-menu .main-navigation, .wishlist-info thead .name, .wishlist-info thead .model, .wishlist-info thead .stock, .wishlist-info tbody .name, .wishlist-info tbody .model, .wishlist-info tbody .stock, .cart-info thead .name, .cart-info thead .model, .cart-info thead .quantity, .cart-info tbody .name, .cart-info tbody .model, .cart-info tbody .quantity, .checkout-product thead .name, .checkout-product thead .model, .checkout-product tbody .name, .checkout-product tbody .model { text-align:right; }

.nav-responsive span{float:right;}

/***********    TEXT-ALIGN:LEFT      **********/
.cart-right-area .checkout-button , .checkout-heading a , .return-list .return-info , .cart-right-area .checkout-button, .checkout-heading a, .return-list .return-info, .checkout-product tfoot td{ text-align:left; }
 
.ie7  .main-menu > ul > li > a { display:inline-block;}
.ie7  .main-menu > ul > li > ul{ left:auto; right:0 !important; top:42px;}
.main-menu > ul > li ul > li > ul{ margin-left:0; margin-right:-5px;}
.main-menu > ul > li ul > li > a { position:relative;}
.flex-control-nav{}
 

#header #search input{ padding:7px 33px 7px 7px; }
#header .button-search{ left:auto; right:0;  border-left: 1px solid #CCCCCC;}
#language .language_div img{ margin-left:5px; margin-right:0; }
#footer .column ul{ padding-right:0; }
.success .close, .warning .close, .attention .close, .information .close{ left: 10px;  right: auto;}
.success, .warning, .attention, .information{ padding:10px 33px 10px 10px; background-position: right 10px; }
.customNavigation a.prev { left: 0px;  right: auto;}
.customNavigation a.next{ left:30px;  right: auto; }
.main-menu > ul > li ul > li > a.activSub{background: url("../../image/megnor/rtl/menu_arrow_rtl.png") no-repeat scroll left center; }
.main-menu > ul > li ul > li:hover > a.activSub{background: url("../../image/megnor/rtl/menu_arrow_hr_rtl.png") no-repeat scroll left center; }

#column-left + #column-right + #content-bottom, #column-left + #content-bottom{margin-right: 250px;margin-left:0!important;}
.product-list .rating{float:right;}
.main-menu > ul > li ul > li:hover > ul {	left:auto; right:186px;}
.product-list .wishlist{ margin-right:0 ; margin-left:10px; }
.product-filter .display{margin-left:30px;margin-right:5px;}

 .product-grid-list .wishlist a, #content .box-product .wishlist a ,.product-grid-list .compare a, #content .box-product .compare a{
  padding-right:18px; padding-left:0; display:inline-block; }
  
  .product-grid-list .wishlist a, #content .box-product .wishlist a
  {background:url("../../image/megnor/compare_icon.png") no-repeat scroll right 5px transparent!important;}
  .product-grid-list .wishlist a:hover, #content .box-product .wishlist a:hover{background-position:right -15px!important;}
  .product-grid-list .compare a, #content .box-product .compare a
  {background:url("../../image/megnor/compare_icon.png") no-repeat scroll right -35px transparent!important;}
  .product-grid-list .compare a:hover, #content .box-product .compare a:hover{background-position:right -56px!important;}
  .product-grid-list .wishlist, .product-grid-list .compare, #content .box-product .wishlist, #content .box-product .compare{text-align:right;}

.box .box-content ul li a, #content .content ul li a , .box .box-content ul li a + a{ 
	background: url("../../image/megnor/rtl/cat_arrow_rtl.png") no-repeat scroll right center;
    padding-right: 12px;
}
.box .box-content ul li a:hover, #content .content ul li a:hover , .box .box-content ul li a + a:hover{
	background: url("../../image/megnor/rtl/cat_arrow_hover_rtl.png") no-repeat scroll right center;
}
ul.box-category > li a.active + ul , .box .box-content ul ul{ margin-left:0; margin-right:0; padding-right:15px }
ul.box-category > li ul > li > a{
	background: url("../../image/megnor/rtl/cat_arrow_rtl.png") no-repeat scroll right center !important;
    padding-right: 12px;
}
ul.box-category > li ul > li > a:hover{
	background: url("../../image/megnor/rtl/cat_arrow_hover_rtl.png") no-repeat scroll right center !important; 
}
.ie7 #footer .column li a{ float:right; }
#footer .column li a{
	background: url("../../image/megnor/rtl/subcat_arrow_hover_rtl.png") no-repeat scroll right center;
    padding-right: 12px;
	padding-left:0;
	}
#footer .column li a:hover{
	background: url("../../image/megnor/rtl/footer_arrow_hover_rtl.png") no-repeat scroll right center;
}

.product-grid li, #content .box-product .product-items{ float:right; }
.category-info .image{ float:right;}
#column-left .box-product .image, #column-right .box-product .image{ float:right;   margin-left: 7px; }
#column-left .box-product .rating, #column-right .box-product .rating, #column-left .box-product .name, #column-right .box-product .name, #column-left .box-product .price, #column-right .box-product .price, #column-left .box-product .cart, #column-right .box-product .cart{ margin-right:62px; margin-left:0; }
.customSelectInner , .customSelectOpen .customSelectInner{ background-position:left center; } 
.product-list .right{ float:left;margin-left: 0px; margin-right:15px; text-align:left;}
.product-list .image {    float: right;    margin-left: 10px; margin-right:0; }
.product-info > .left {    float: right;    margin-right: 0px; margin-left:15px; }
.product-info > .left + .right {  margin-right: 350px;   margin-left:0px;}
.zoomWindow	{ left:auto !important; right:350px!important;}
.product-compare{ float:right; margin-right:15px; }
.product-filter .limit{ float:left; margin-right:0; margin-left:5px; }
.product-info .review a.review-write{ background-position:right center; padding-left:0; padding-right:20px;}
.product-info .review a.review-write:hover{background-position:right center;}

#content .product-grid .first_item_tm .product-block,
#content .productbox-grid .first_item_tm .product-block{margin-right:2px!important;margin-left:10px;}

#content .product-grid .last_item_tm .product-block, 
#content .productbox-grid .last_item_tm .product-block{margin-left:2px!important;margin-right:10px;}

 .htabs a{ margin-left:3px; margin-right:0; float:right; }
.captch_input{ float:right; margin:4px 0 0 7px !important; }
.contact-info .address, .contact-info .telephone, .contact-info .fax {
    clear: both;
    float: right;
    padding:1px 45px 2px 0;
}
.contact-info .address {    background-position:right -237px;}
.contact-info .telephone {    background-position:right -317px;}
.contact-info .fax {    background-position: right -273px;  padding:1px 45px 1px 0;}

.product-carousel .slider-wrapper-outer{ direction:ltr !important; } 
#topcontrol{ right:auto !important; left:10px !important; } 
.ie7 .product-info .additional-carousel{ float:left; }

.searchtoggle{left:2px;right:auto;}
#welcome a + a {
    margin-right: 7px;
	margin-left:0!important;
}
#welcome a.login_nm, #welcome a.logout{background:url("../../image/megnor/login_icon.png") no-repeat scroll right -2px transparent!important;}
#welcome a.login_nm:hover, #welcome a.logout:hover{background:url("../../image/megnor/login_icon.png") no-repeat scroll right -24px transparent!important;}
#welcome a{padding:0 25px 0 0;display:inline-block;}
#welcome a.login{padding-left:0;padding-right:10px;}
#welcome a.create_account{background:url("../../image/megnor/login_icon.png") no-repeat scroll right -48px transparent!important;}
#welcome a.create_account:hover{background:url("../../image/megnor/login_icon.png") no-repeat scroll right -72px transparent!important;}


.links {float:right;}
#search,#welcome{float: left;}
.main-menu > ul > li ul > li > a {text-align: right;}
.box .box-content ul li, #content .content ul li{text-align:right;}
#footer .column {float: right;margin:7px 0 7px 5px;}
.footer-inner #footer .box-cms{margin-left:0;}
#block_contact_infos .contact
{
	background:url("../../image/megnor/phone_icon.png") no-repeat scroll right 2px transparent!important;
	padding-right: 25px;
	padding-left:0!important;
}
#block_contact_infos .addresses
{
	background:url("../../image/megnor/phone_icon.png") no-repeat scroll right -23px transparent!important;
	padding-right: 25px;
	padding-left:0!important;
}
.sale{background:url("../../image/megnor/sale_rtl.png") no-repeat scroll 0 0 transparent!important;right:auto;left:0px;}
.product-list .sale{left:0;right:auto;}
.product-filter .sort{ margin-left: 30px;margin-right:0!important;}
.product-list .right{  margin-right: 9px;}
#social_block li{float:right;}
#footer #social_block li.facebook{margin-right:0;}
.product-grid-list .name, #content .box-product .name,
.product-list .price, .product-grid-grid .price, #content .box-product .price,
.product-grid-list .cart, #content .box-product .cart{text-align:right;}
.search{   margin-right: 15px;margin-left:0!important;}
.header-top-inner .links #wishlist-total{background:url("../../image/megnor/header_pipe.png") no-repeat scroll right center transparent!important;}
.header-top-inner .links a{background:none;display: inline-block;}
.product-grid .price, #content .box-product .price, #column-left .box-product .price, #column-right .box-product .price{text-align:right;}
#content .box-cms .description-left {float: right;}
#content .box-cms .image-right {float: left;text-align: left;}

@media only screen and (min-width: 980px) and (max-width: 1024px)
{ 
	.category-info .image img{width:100%;}
	.product-list .right{width: 67%;}
	#column-left + #content{width:auto;margin-right:195px;}
	#column-left + #column-right + #content-bottom, #column-left + #content-bottom{margin-right: 195px;}
	.main-menu > ul > li ul > li:hover > ul{right:184px;}
	
}
 
@media only screen and (max-width: 979px) {
 
	.nav-responsive .expandable{ float:left; margin-right:0; margin-left:10px;  }
	#header #search {    margin-right: 20px;  }
	.nav-responsive div, .responsive-menu .hitarea{ margin-left:10px; margin-right:0; }
	 .responsive-menu .main-navigation ul{ padding-right:20px; padding-left:0; }
	.nav-responsive div, .responsive-menu .hitarea{ float:left; margin-left:3px;}
	.toggle .mobile_togglemenu{ background-position: left 4px; }
	#column-left + #content{ margin-right:180px; }
	#column-left + #column-right + #content-bottom, #column-left + #content-bottom{margin-right:180px;}
	.product-info > .left + .right{margin-right:270px;}
	.toggle.active .mobile_togglemenu {    background-position: left -48px;}
	 
}

@media only screen and (max-width: 767px) {
	#currency, #language{ border-left: 1px solid #FFFFFF;border-right:none; }
	.tm_headerlinkmenu{margin-left: -2px; margin-right:0;float:left;}
	#header #cart .heading{ float:none !important;}
	#header #cart .content{  float:none !important; margin:0 auto;}
	#header .header_links{ left:0; right:auto; }
	#header #search{  margin-right:0;}
	.product-info > .left {  float: none; margin: 0 auto 10px; width: 350px; }
	.product-info > .left + .right {    margin-right: 0;}
	.product-info .cart .links{text-align:right;}
	#column-left + #column-right + #content-bottom, #column-left + #content-bottom{margin-right:0;}
	#column-left + #content{ margin-right:0px; }
	#currency{margin:0px; top:54px;}
}
@media only screen and (max-width: 479px) {
	 
	.product-info > .left, #header #logo img{width: 100%;}
	.product-info > .left .image img{width:auto!important;}
	#content .box-cms .image-right {text-align: center;}
	.htabs a{float:none;}
	#currency{top:56px;}
	.cart-info tbody td{text-align:right !important;}
	}
@media only screen and (max-width: 400px)	{
	#currency{top:69px;}
}
@media only screen and (max-width: 319px)
{
	.header-top{height:60px;}
	#currency, #language{top:70px;}
	.product-filter .sort .customSelectInner{width:72px !important;}
}